none
Install .NET Framework 3.5 for Visual Studio C# Class RRS feed

  • Question

  • I want to start modding RimWorld, and for that I need a C# class with the target framework:  .NET framework 3.5.  

    But because this post has been flagged as Spam I have to put my Question in a doc:

    https://docs.google.com/document/d/1N9e65Pkhb-f6zDxR7dyT-OryvTsG9YEmtPqg5Tcip3s/edit?usp=sharing 

    Thanks for the Support, I've been stuck here for days!

    ~Silt

     

    Saturday, January 6, 2018 6:47 PM

All replies

  • Full Question:

    I want to start modding RimWorld, and for that I need a C# class with the target framework:  .NET framework 3.5.

    (According to this: https://ludeon.com/forums/index.php?topic=33219.0 Number 19)

    I followed all previous steps, I also installed .NET Framework 3.5 correctly.

    (According to this: https://docs.microsoft.com/en-us/dotnet/framework/install/dotnet-35-windows-10)

    Well I think it was this way by default.

    When I followed the "install other frameworks..." option I downloaded the dotnetfx35.exe but nothing happens when I execute it... Not sure if sth is supposed to happen though.

    I think the Problem is, that on "New Project" I only get for the C# .NET the option "Core" and "Standard", but no "Framework", since in the Image below. I chose Standard. On the top you can see ".NET Framework 3.5" So I don't know what I did wrong.

    I am on Windows 10

    Thanks for the Support, I've been stuck here for days!

    ~Silt


    Saturday, January 6, 2018 6:50 PM
  • Hi Silt99,

    Thank you for postin ghere.

    For your question, your windows system is Win, do you use Visual Studio? What is the version of your Visual Studio? Win10 has installed .net framework 4.6 at least. Have you check that whether you enable the .net frmaework or not?

    Please check via following steps. 

    Open your control panel. Click Uninstall a program in Programs. Choose Turn Windows features on or off.

    To enable the .net framework.

    Best Regards,

    Wendy


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Wednesday, January 10, 2018 2:16 AM
    Moderator
  • Hi Wendy,

    Thanks for replying
    I have Visual Studio 2017 and I just got the newest Update. I use it manly with Unity and as I said I already did enable .Net Framework this way

    Sry, its in German

    ~ Silt

    Thursday, January 11, 2018 6:08 PM
  • You need to install .NET framework 3.5 SDK to install build target for .NET v3.5. This SDK is no longer installed by default in VS2017.

    [quote]

    .NET 3.5 SDK is now only an optional component, so if your development targets a .NET 3.5 product (2.0/3.0/3.5) then you will also need to select “.NET Framework 3.5 development tools” from the Individual components tab during installation. This will install the required .NET 3.5 SDK on the machine that is used during the build process.

    [/quote]

    Friday, January 12, 2018 1:59 AM
    Answerer